#ifndef __POWEROUTLET_H__
#define __POWEROUTLET_H__

#include <Arduino.h>
#include <ArduinoJson.h>

class PowerOutlet
{
private:
    int id;
    String name;
    bool state;
    bool autostart;
    int delay;
    float voltage;
    int pin;
    int touchPin;
    String connector;

public:
    void setId(int newId);
    int getId();
    void setName(String newName);
    String getName();
    void setState(bool newState);
    bool getState();
    void setAutostart(bool newAutostart);
    bool getAutostart();
    void setDelay(int newDelay);
    int getDelay();
    void setVoltage(float newVoltage);
    float getVoltage();
    void setPin(int newPin);
    int getPin();
    void setTouchPin(int newTouchPin);
    int getTouchPin();
    void setConnector(String newConnector);
    String getConnector();

    StaticJsonDocument<128> toJson();
};

#endif //__POWEROUTLET_H__