#include <PowerOutlet.h>

void PowerOutlet::setId(int newId)
{
    id = newId;
}

int PowerOutlet::getId()
{
    return id;
}
void PowerOutlet::setName(String newName)
{
    name = newName;
}

String PowerOutlet::getName()
{
    return name;
}

void PowerOutlet::setState(bool newState)
{
    state = newState;
}

bool PowerOutlet::getState()
{
    return state;
}

void PowerOutlet::setAutostart(bool newAutostart)
{
    autostart = newAutostart;
}

bool PowerOutlet::getAutostart()
{
    return autostart;
}

void PowerOutlet::setDelay(int newDelay)
{
    delay = newDelay;
}

int PowerOutlet::getDelay()
{
    return delay;
}

void PowerOutlet::setVoltage(float newVoltage)
{
    voltage = newVoltage;
}

float PowerOutlet::getVoltage()
{
    return voltage;
}

void PowerOutlet::setPin(int newPin)
{
    pin = newPin;
}

int PowerOutlet::getPin()
{
    return pin;
}

void PowerOutlet::setTouchPin(int newTouchPin)
{
    touchPin = newTouchPin;
}

int PowerOutlet::getTouchPin()
{
    return touchPin;
}

void PowerOutlet::setConnector(String newConnector)
{
    connector = newConnector;
}

String PowerOutlet::getConnector()
{
    return connector;
}

StaticJsonDocument<128> PowerOutlet::toJson(){
  StaticJsonDocument<128> document;

  document["id"] = id;
  document["name"] = name;
  document["state"] = state;
  document["autostart"] = autostart;
  document["delay"] = delay;
  document["voltage"] = voltage;
  document["pin"] = pin;
  document["connector"] = connector;

  return document;
}